Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.impl
[Groovy] Class ClosureCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          groovy.swing.impl.ClosureCellEditor

All Implemented Interfaces:
  javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

    class ClosureCellEditor
    extends javax.swing.AbstractCellEditor

Authors:
  Alexander Klein

Property Summary
`java.util.Map` | `callbacks`
`java.util.List` | `children`
`int` | `column`
`boolean` | `defaultEditor`
`Closure` | `editorValue`
`boolean` | `expanded`
`boolean` | `leaf`
`Closure` | `prepareEditor`
`int` | `row`
`boolean` | `selected`
`javax.swing.JTable` | `table`
`javax.swing.JTree` | `tree`
`java.lang.Object` | `value`

Constructor Summary
`ClosureCellEditor(Closure c = null, java.util.Map callbacks = [:])`

Method Summary
`java.lang.Object` | `getCellEditorValue()`
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`
`java.awt.Component` | `getTreeCellEditorComponent(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setEditorValue(Closure editorValue)`
`void` | `setPrepareEditor(Closure prepareEditor)`

Methods inherited from class javax.swing.AbstractCellEditor
javax.swing.AbstractCellEditor#isCellEditable(java.util.EventObject), javax.swing.AbstractCellEditor#shouldSelectCell(java.util.EventObject), javax.swing.AbstractCellEditor#getCellEditorListeners(), javax.swing.AbstractCellEditor#stopCellEditing(), javax.swing.AbstractCellEditor#addCellEditorListener(javax.swing.event.CellEditorListener), javax.swing.AbstractCellEditor#cancelCellEditing(), javax.swing.AbstractCellEditor#removeCellEditorListener(javax.swing.event.CellEditorListener), javax.swing.AbstractCellEditor#wait(long), javax.swing.AbstractCellEditor#wait(long, int), javax.swing.AbstractCellEditor#wait(), javax.swing.AbstractCellEditor#equals(java.lang.Object), javax.swing.AbstractCellEditor#toString(), javax.swing.AbstractCellEditor#hashCode(), javax.swing.AbstractCellEditor#getClass(), javax.swing.AbstractCellEditor#notify(), javax.swing.AbstractCellEditor#notifyAll(), javax.swing.AbstractCellEditor#getCellEditorValue()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### callbacks

    java.util.Map callbacks

### children

    java.util.List children

### column

    int column

### defaultEditor

    boolean defaultEditor

### editorValue

    Closure editorValue

### expanded

    boolean expanded

### leaf

    boolean leaf

### prepareEditor

    Closure prepareEditor

### row

    int row

### selected

    boolean selected

### table

    javax.swing.JTable table

### tree

    javax.swing.JTree tree

### value

    java.lang.Object value

Constructor Detail

### ClosureCellEditor

    ClosureCellEditor(Closure c = null, java.util.Map callbacks = [:])

Method Detail

### getCellEditorValue

    @Override
    java.lang.Object getCellEditorValue()

### getTableCellEditorComponent

    @Override
    java.awt.Component getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)

### getTreeCellEditorComponent

    java.awt.Component getTreeCellEditorComponent(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)

### invokeMethod

    @Override
    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setEditorValue

    void setEditorValue(Closure editorValue)

### setPrepareEditor

    void setPrepareEditor(Closure prepareEditor)

Groovy Documentation